################################################################################
#    iGMT: Interactive Mapping of Geoscientific Datasets.                      #
#                                                                              #
#    Copyright (C) 1998 - 2005  Thorsten W. Becker, Alexander Braun            #
#                                                                              #
#    This program is free software; you can redistribute it and/or modify      #
#    it under the terms of the GNU General Public License as published by      #
#    the Free Software Foundation; either version 2 of the License, or         #
#    (at your option) any later version.                                       #
#                                                                              #
#    This program is distributed in the hope that it will be useful,           #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of            #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             #
#    GNU General Public License for more details.                              #
#                                                                              #
#    In addition, we strongly suggest that iGMT users comply with the goals    #
#    as expressed in the Student Pugwash Pledge (www.spusa.org/pugwash/).      #
#                                                                              #
#    You should have received a copy of the GNU General Public License         #
#    along with this program; see the file COPYING.  If not, write to          #
#    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,          #
#    Boston, MA 02111-1307, USA.                                               #
#                                                                              #
################################################################################

################################################################################
# igmt_init.tcl -- startup procedures
#
# part of the iGMT package
#
# $Id: igmt_init.tcl,v 1.4 2001/02/09 19:11:17 becker Exp becker $
#
################################################################################

# create some of the files as empty, make the future  script executable
# and check for write permissions

if { [catch "[ list exec touch $batcherr]" var ] } {
    puts "iGMT: Can't create $batcherr."
    puts "iGMT: Please make sure that you have write permission, e.g."
    puts "iGMT: change to your home directory."
    exit -1 
}
if { [catch "[ list exec touch $batchfile]" var ] } {
    puts "iGMT: Can't create $batchfile."
    puts "iGMT: Please make sure that you have write permission, e.g."
    puts "iGMT: change to your home directory."
    exit -1 
}

exec chmod u+x $batchfile





